%define _blibdir %(bigloo -eval '(begin (print *default-lib-dir*) (exit 0))')
Name: bigloo-lib-srfi1
Version: 0
Release: alt1

Summary: Bigloo implementation for srfi-1
License: distributable
Group: Development/Scheme
Url: http://www-sop.inria.fr/mimosa/fp/Bigloo/bigloo-7.html#Libraries

# Automatically added by buildreq on Thu Oct 21 2004
BuildRequires: bigloo

%package static
Summary: Bigloo implementation for srfi-1
Group: Development/C


Source: ftp://ftp-sop.inria.fr/mimosa/fp/Bigloo/libraries/srfi-1.tar.bz2
Patch: srfi-1-alt-make.patch

%description 
This is a library of list- and pair-processing functions. This implementation
is intended as a portable reference implementation for SRFI-1

%description static
This is a library of list- and pair-processing functions. This implementation
is intended as a portable reference implementation for SRFI-1

Static libraries.

%prep
%setup -q -n srfi-1
%patch -p1 -b .vns

%build
mkdir lib
make COPT="-fPIC $RPM_OPT_FLAGS" lib 
make COPT="-fPIC $RPM_OPT_FLAGS" heap

%install
%__mkdir_p $RPM_BUILD_ROOT%_blibdir
%makeinstall LIB=lib INSTALLLIB=$RPM_BUILD_ROOT%_blibdir
ln -s %_blibdir/libsrfi-1_u.so $RPM_BUILD_ROOT%_libdir/libsrfi-1_u.so
ln -s %_blibdir/libsrfi-1_s.so $RPM_BUILD_ROOT%_libdir/libsrfi-1_s.so

%files
%doc README repl.scm test.scm
%_blibdir/*.so
%_blibdir/*.heap
%_libdir/*.so

%files static
%_blibdir/*.a

%changelog
* Thu Oct 21 2004 Alexey Voinov <voins@altlinux.ru> 0-alt1
- initial build


